Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDCharProperties Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDCharProperties ()

## Public Attributes
uint16_t | m_length
uint16_t | m_fontFace
uint16_t | m_fontSize
uint16_t | m_fontColor
bool | m_bold
bool | m_italic
bool | m_underline
bool | m_outline
bool | m_shadow
bool | m_strike
bool | m_super
bool | m_sub
bool | m_smallCaps
bool | m_allCaps
int16_t | m_kerning
uint16_t | m_superSubSize
uint16_t | m_superPos
uint16_t | m_subPos
uint16_t | m_tint

## Constructor & Destructor Documentation

## ◆ PMDCharProperties()

libpagemaker::PMDCharProperties::PMDCharProperties | ( |  | ) |

## Member Data Documentation

## ◆ m_allCaps

bool libpagemaker::PMDCharProperties::m_allCaps

## ◆ m_bold

bool libpagemaker::PMDCharProperties::m_bold

## ◆ m_fontColor

uint16_t libpagemaker::PMDCharProperties::m_fontColor

## ◆ m_fontFace

uint16_t libpagemaker::PMDCharProperties::m_fontFace

## ◆ m_fontSize

uint16_t libpagemaker::PMDCharProperties::m_fontSize

## ◆ m_italic

bool libpagemaker::PMDCharProperties::m_italic

## ◆ m_kerning

int16_t libpagemaker::PMDCharProperties::m_kerning

## ◆ m_length

uint16_t libpagemaker::PMDCharProperties::m_length

## ◆ m_outline

bool libpagemaker::PMDCharProperties::m_outline

## ◆ m_shadow

bool libpagemaker::PMDCharProperties::m_shadow

## ◆ m_smallCaps

bool libpagemaker::PMDCharProperties::m_smallCaps

## ◆ m_strike

bool libpagemaker::PMDCharProperties::m_strike

## ◆ m_sub

bool libpagemaker::PMDCharProperties::m_sub

## ◆ m_subPos

uint16_t libpagemaker::PMDCharProperties::m_subPos

## ◆ m_super

bool libpagemaker::PMDCharProperties::m_super

## ◆ m_superPos

uint16_t libpagemaker::PMDCharProperties::m_superPos

## ◆ m_superSubSize

uint16_t libpagemaker::PMDCharProperties::m_superSubSize

## ◆ m_tint

uint16_t libpagemaker::PMDCharProperties::m_tint

## ◆ m_underline

bool libpagemaker::PMDCharProperties::m_underline

The documentation for this struct was generated from the following files:

- PMDTypes.h
- PMDTypes.cpp